Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote
Class AbstractJNDIClusteringService

`java.lang.Object
java.lang.Thread
oracle.toplink.remote.AbstractClusteringService
oracle.toplink.remote.AbstractJNDIClusteringService`

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  CORBAJNDIClusteringService, JMSClusteringService, RMIJNDIClusteringService, RMIJNDIClusteringService, WLSClusteringService

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `TransportManager`

public abstract class AbstractJNDIClusteringService
extends AbstractClusteringService

Purpose:To Provide a framework for offering customers the ability to automatically connect multiple sessions for synchrnization.

Descripton:This thread object will place a remote dispatcher in the specified JNDI space. it will also monitor the specified multicast socket to allow other sessions to connect.

See Also:
  `CacheSynchronizationManager`, `AbstractClusteringService`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AbstractJNDIClusteringService(Session session)` Deprecated. PUBLIC: Creates an AbstractJNDIClusteringService
`AbstractJNDIClusteringService(java.lang.String multicastAddress, int multicastPort, Session session)` Deprecated. ADVANCED: Creates an AbstractJNDIClusteringService

Method Summary
`javax.naming.Context` | `getContext(java.lang.String jndiHostURL)` Deprecated. Since 4.5
`java.util.Hashtable` | `getInitialContextProperties()` Deprecated. ADVANCED: This method allows the user to get the Context properties that will be used to create the initial context.
`java.lang.String` | `getPassword()` Deprecated. ADVANCED: returns the Username if one is required to access the JNDI service
`java.lang.String` | `getUserName()` Deprecated. ADVANCED: returns the Username if one is required to access the JNDI service
`void` | `setContext(javax.naming.Context context)` Deprecated. Sets the active JNDI Context to store the remote service in.
`void` | `setInitialContextFactoryName(java.lang.String initialContextFactory)` Deprecated. ADVANCED: Use this method to set the Initial Conext Factory for accessing JNDI.
`void` | `setInitialContextProperties(java.util.Hashtable properties)` Deprecated. ADVANCED: This method allows the user to set the Context properties for creating the initial context for a JNDI connection if the properties have not allready been set globally.
`void` | `setLocalHostURL(java.lang.String url)` Deprecated. PUBLIC: Set the host address of the naming service url.
`void` | `setPassword(java.lang.String password)` Deprecated. Sets the Password if one is required to access the JNDI service
`void` | `setUserName(java.lang.String userName)` Deprecated. Sets the Username if one is required to access the JNDI service

Methods inherited from class oracle.toplink.remote.AbstractClusteringService
`createRemoteConnection, deregisterDispatcher, getAnnouncementDelay, getApplicationName, getCommunicationSocket, getDispatcher, getLocalHostURL, getLocalRemoteConnection, getMulticastGroupAddress, getMulticastPort, getSessionId, getTimeToLive, registerDispatcher, setAnnouncementDelay, setApplicationName, setDispatcher, setMulticastGroupAddress, setMulticastPort, setSessionId, setTimeToLive, stopListening`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractJNDIClusteringService

    public AbstractJNDIClusteringService(Session session)

  Deprecated.
  PUBLIC: Creates an AbstractJNDIClusteringService

### AbstractJNDIClusteringService

    public AbstractJNDIClusteringService(java.lang.String multicastAddress,
                                         int multicastPort,
                                         Session session)

  Deprecated.
  ADVANCED: Creates an AbstractJNDIClusteringService
Parameters:
  `multicastAddress` - The address of the multicast group
  `multicastPort` - The port the multicast group is listening on.

Method Detail

### getContext

    public javax.naming.Context getContext(java.lang.String jndiHostURL)

  Deprecated. Since 4.5
  ADVANCED: Returns the active JNDI Context to store the remote service in

### setContext

    public void setContext(javax.naming.Context context)

  Deprecated.
  Sets the active JNDI Context to store the remote service in.

### setLocalHostURL

    public void setLocalHostURL(java.lang.String url)

  Deprecated.
  Description copied from class: `AbstractClusteringService`
  PUBLIC: Set the host address of the naming service url.
  Overrides:
    `setLocalHostURL` in class `AbstractClusteringService`
  Parameters:
    `url` - jndi host url

### getInitialContextProperties

    public java.util.Hashtable getInitialContextProperties()

  Deprecated.
  ADVANCED: This method allows the user to get the Context properties that will be used to create the initial context.

### setInitialContextProperties

    public void setInitialContextProperties(java.util.Hashtable properties)

  Deprecated.
  ADVANCED: This method allows the user to set the Context properties for creating the initial context for a JNDI connection if the properties have not allready been set globally. Usually if TopLink is running within the same VM as this attribute is not required. Use this method if TopLink is having problems connecting to the JNDI Service, or JMS Service

### getUserName

    public java.lang.String getUserName()

  Deprecated.
  ADVANCED: returns the Username if one is required to access the JNDI service

### setUserName

    public void setUserName(java.lang.String userName)

  Deprecated.
  Sets the Username if one is required to access the JNDI service

### getPassword

    public java.lang.String getPassword()

  Deprecated.
  ADVANCED: returns the Username if one is required to access the JNDI service

### setPassword

    public void setPassword(java.lang.String password)

  Deprecated.
  Sets the Password if one is required to access the JNDI service

### setInitialContextFactoryName

    public void setInitialContextFactoryName(java.lang.String initialContextFactory)

  Deprecated.
  ADVANCED: Use this method to set the Initial Conext Factory for accessing JNDI. This method is only required if the user is having difficulties getting TopLink to connect to JNDI or JMS

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD